Summary:   Multi Router Traffic Grapher
Name:      mrtg
Version:   2.8.12
Release:   5
URL:       http://ee-staff.ethz.ch/~oetiker/webtools/mrtg/mrtg.html
Source0:   http://www.ee.ethz.ch/~oetiker/webtools/mrtg/pub/%{name}-%{version}.tar.gz
Source1:   mrtg.cfg
Source2:   README-14allcgi
Source3:   14all.cgi
Source4:   gdpng.c
Patch:     mrtg-gdpng-patch
Copyright: distributable
Group:     Applications/Network
Requires:  perl >= 5.004
Requires:  gd >= 1.3, libpng >= 1.0.3, zlib >= 1.1.3
Buildroot: /tmp/%{name}-%{version}-root
BuildPrereq: gd-devel, libpng-devel, zlib-devel
Packager:  Henri Gomez <gomez@slib.fr>

%description
The Multi Router Traffic Grapher (MRTG) is a tool to monitor the traffic
load on network-links. MRTG generates HTML pages containing GIF
images which provide a LIVE visual representation of this traffic. 

%prep
%setup -q
%patch0

echo "Removing..."
find . -name "*.orig" -print -exec rm -f {} \;

%build
cp %{SOURCE4} src
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="-lm -lz -lpng -lttf -ljpeg" ./configure --prefix=/usr
make
# patch indexmaker
# SRC="$rdir$router-$view.gif"
perl -0777 -pi -e 's@view.gif@view.png@g' run/indexmaker 


cd contrib
find . -type f -exec /usr/bin/perl -e 's/^#!\/.*/#!\/usr\/bin\/perl/gi' -p -i \{\} \;
find . -name "*.pl" -exec perl -e 's;\015;;gi' -p -i \{\} \;

%install
rm -rf     $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/home/httpd/html/mrtg
install -d $RPM_BUILD_ROOT/usr/bin
install -d $RPM_BUILD_ROOT/usr/lib/mrtg
install -d $RPM_BUILD_ROOT/usr/lib/perl5

install -m 644 doc/*.gif $RPM_BUILD_ROOT/home/httpd/html/mrtg/
install -m 644 doc/*.html $RPM_BUILD_ROOT/home/httpd/html/mrtg/
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/home/httpd/html/mrtg/

install -m 644 %{SOURCE2} contrib/14all/README
install -m 755 %{SOURCE3} contrib/14all

cd run

for i in mrtg rateup cfgmaker cfgmaker_ip indexmaker; do
  install -m 755 -c $i $RPM_BUILD_ROOT/usr/bin/$i
done

for i in BER.pm SNMP_Session.pm SNMP_util.pm locales_mrtg.pm; do
  install -m 755 -c $i $RPM_BUILD_ROOT/usr/lib/perl5
done

cd ..

find $RPM_BUILD_ROOT/usr/lib/perl5 -type f -print | sed "s@^$RPM_BUILD_ROOT@@g" | grep -v perllocal.pod > %{name}-%{version}-filelist
#find contrib | cpio -pdmv $RPM_BUILD_ROOT/usr/lib/mrtg/

%post
 if ! grep '* * * * root /usr/bin/mrtg' /etc/crontab > /dev/null; then
  echo "" >> /etc/crontab
  echo "0-59/5 * * * * root /usr/bin/mrtg /home/httpd/html/mrtg/mrtg.cfg" >> /etc/crontab
 fi

# move modules to arch lib
eval `perl '-V:installarchlib'`
for i in BER.pm SNMP_Session.pm SNMP_util.pm locales_mrtg.pm; do
  mv /usr/lib/perl5/$i $installarchlib
done

%postun
if [ $1 = 0 ]; then
        grep -v '* * * * root /usr/bin/mrtg' /etc/crontab > /etc/crontab.new
        mv /etc/crontab.new /etc/crontab

	# remove modules from arch lib
	eval `perl '-V:installarchlib'`

	for i in BER.pm SNMP_Session.pm SNMP_util.pm locales_mrtg.pm; do
		rm -f $installarchlib/$i
	done
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
%config /home/httpd/html/mrtg/mrtg.cfg
%doc doc/ contrib/
%doc ANNOUNCE CHANGES COPYING COPYRIGHT MANIFEST README 
%dir /home/httpd/html/mrtg
/home/httpd/html/mrtg/*.gif
/home/httpd/html/mrtg/*.html
/usr/bin/*

%changelog
* Thu Mar 16 2000 Peter Hanecak <hanecak@megaloman.sk>
  [2.8.12-5]
- build against gd 1.8.1

* Mon Mar 13 2000 Peter Hanecak <hanecak@megaloman.sk>
 [2.8.12-4]
- build against gd 1.7.3

* Thu Mar 02 2000 Henri Gomez <gomez@slib.fr>
 [2.8.12-3]
- upgraded to 14all.cgi 1.7
- Built on Redhat 6.1 system

* Thu Feb 10 2000 Henri Gomez <gomez@slib.fr>
 [2.8.12-2]
- upgraded to 14all.cgi 1.3 
- add gdpng.c from 2.8.9-2

* Wed Feb 9 2000 Tim Verhoeven <dj@sin.khk.be>
 [2.8.12]
- source archiv changed back to .gz
- upgraded to mrtg version 2.8.12

* Wed Nov 10 1999 Henri Gomez <gomez@slib.fr>
 [2.8.9-2]
- use gdpng.c from rrdtools to use png even with
  gd 1.3.5

* Tue Nov  9 1999 Henri Gomez <gomez@slib.fr>
 [2.8.9-1]
- back to gd 1.3.5 support (no png) since it breaks
  too many distributions with only gd 1.3.5

* Thu Nov  4 1999 Henri Gomez <gomez@slib.fr>
 [2.8.9-0]
- mrtg 2.8.9
- 14all.cgi 0.9
- built against gd (1.7.3)

* Tue Sep 14 1999 Henri Gomez <gomez@slib.fr>
 [2.8.8-3]
- built against latest gd (1.6.3) and sus switch
  from gif to png

* Fri Aug 27 1999 Henri Gomez <gomez@slib.fr>
 [2.8.8-3]
- 14all.cgi 0.4.1

 [2.8.8-2]
- mrtg-rrd patch 0.4 and 14all.cgi 0.4

* Fri Aug 27 1999 Henri Gomez <gomez@slib.fr>
 [2.8.8]
- important release since rrd support is added
  It came from Rainer Bawidamann work. If you have rrdtool RPM
  installed, just add UseRRDTool: Yes in your config files.
- added latest patch for mrtg-rrd.
- to convert your mrtg logs to rrd format, use log2rrd.pl 
  you can found on rrdtool package.
  
* Mon Aug 16 1999 Henri Gomez <gomez@slib.fr>
 [2.8.6]

* Fri Jul 23 1999 Henri Gomez <gomez@slib.fr>
 [2.8.4]
- mrtg could use now png instead of gif via gd1.6.1
  but since gd1.6.1 remove all gif reference it could
  break your dependencies, so we don't use it for now.
* Tue Jun 15 1999 Henri Gomez <gomez@slib.fr>
 [2.7.5]
- removed gd-devel requires, RH5.x use libgd-devel and RH6 gd-devel.
- removed CR from perl files in contrib.
- added cfgmaker_ip in binaries.
- rework modules install/de-install for RH5.x/6.0 compat

* Wed Jun  9 1999 Henri Gomez <gomez@slib.fr>
 [2.7.4-2]
- set perl path for contribs
- set SNMP's perl to /usr/lib/perl5/site_perl (clean for RH5.x and RH6.0)

* Wed May  5 1999 Ian Macdonald <ianmacd@xs4all.nl>
  [2.7.4-1]
- changed Perl module installation to be version independent
- changed libgd dependency to gd
- changed URL
- strip binaries
- include contrib directory as documentation

* Tue Mar  2 1999 Henri Gomez <gomez@slib.fr>
  [2.6.6]

* Wed Feb 17 1999 Henri Gomez <gomez@slib.fr>
  [2.6.4]
- removed mrtg-squid (specific OIDS)
- cfgmaker and indexmaker now /usr/bin
- libgd must be >= 1.3

* Fri Jan 29 1999 Henri Gomez <gomez@slib.fr>
  [2.5.4c-3]
- Added mrtg-squid to monitor squid (specific OIDS)

* Fri Jan 28 1999 Henri Gomez <gomez@slib.fr>
  [2.5.4c-2]
- applied squid snmp patch

* Wed Jan 27 1999 Henri Gomez <gomez@slib.fr>
  [2.5.4c-1] 
- upgraded to 2.5.4c.
- added require libgd-devel

* Mon Nov 30 1998 Arne Coucheron <arneco@online.no>
  [2.5.4a-1]

* Thu Jun 18 1998 Arne Coucheron <arneco@online.no>
  [2.5.3-1]
- using %%{name} and %%{version} macros
- using %defattr macro in filelist
- using install -d in various places instead of cp
- added -q parameter to %setup
- removed older changelogs
